Package org.gradle.plugins.ide.eclipse.model

## Class WtpComponent

- java.lang.Object
- - org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
  - - org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
    - - org.gradle.plugins.ide.eclipse.model.WtpComponent

- All Implemented Interfaces:
    `org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject`

      public class WtpComponent
      extends org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

  Creates the .settings/org.eclipse.wst.common.component file for WTP projects.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WtpComponent​(org.gradle.internal.xml.XmlTransformer xmlTransformer)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `configure​(String deployName, String contextPath, List<WbModuleEntry> newEntries)` |
    `boolean` | `equals​(Object o)` |
    `String` | `getContextPath()` |
    `protected String` | `getDefaultResourceName()` |
    `String` | `getDeployName()` |
    `List<WbModuleEntry>` | `getWbModuleEntries()` |
    `int` | `hashCode()` |
    `protected void` | `load​(Node xml)` |
    `void` | `setContextPath​(String contextPath)` |
    `void` | `setDeployName​(String deployName)` |
    `void` | `setWbModuleEntries​(List<WbModuleEntry> wbModuleEntries)` |
    `protected void` | `store​(Node xml)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

      `findFirstChildNamed, findFirstChildWithAttributeValue, findFirstWithAttributeValue, findOrCreateFirstChildNamed, findOrCreateFirstChildWithAttributeValue, getChildren, getXml, load, store, transformAction, transformAction`

    - ### Methods inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject

      `load, loadDefaults, store`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WtpComponent

          public WtpComponent​(org.gradle.internal.xml.XmlTransformer xmlTransformer)

  - ### Method Detail

    - #### getDefaultResourceName

          protected String getDefaultResourceName()

      Specified by:
        `getDefaultResourceName` in class `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject`

    - #### getDeployName

          public String getDeployName()

    - #### setDeployName

          public void setDeployName​(String deployName)

    - #### getContextPath

          public String getContextPath()

    - #### setContextPath

          public void setContextPath​(String contextPath)

    - #### getWbModuleEntries

          public List<WbModuleEntry> getWbModuleEntries()

    - #### setWbModuleEntries

          public void setWbModuleEntries​(List<WbModuleEntry> wbModuleEntries)

    - #### configure

          public void configure​(String deployName,
                                String contextPath,
                                List<WbModuleEntry> newEntries)

    - #### load

          protected void load​(Node xml)

      Overrides:
        `load` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

    - #### store

          protected void store​(Node xml)

      Overrides:
        `store` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`